﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectGarage.Entities;

public class FuelReplenishment 
{ 
    public int Id { get; private set; }
    public int DriverId { get; private set; }
    public DateTime ReplenishmentDate { get; private set; }
    public IEnumerable<FuelFuelReplenishment> FuelFuelReplenishments { get; private set;} = [];

    public static FuelReplenishment CreateOpeartion(int id, int driverId, IEnumerable<FuelFuelReplenishment> fuelFuelReplenishments)
    {
        return new FuelReplenishment
        {
            Id = id,
            DriverId = driverId,
            ReplenishmentDate = DateTime.Now,
            FuelFuelReplenishments = fuelFuelReplenishments
        };
    }

    public static FuelReplenishment CreateOpeartion(TempFuelReplenishment tempFuelReplenishment, IEnumerable<FuelFuelReplenishment> fuelFuelReplenishments)
    {
        return new FuelReplenishment
        {
            Id = tempFuelReplenishment.Id,
            DriverId = tempFuelReplenishment.DriverId,
            ReplenishmentDate = tempFuelReplenishment.ReplenishmentDate,
            FuelFuelReplenishments = fuelFuelReplenishments
        };
    }
}
